/* LCM type definition class file
 * This file was automatically generated by lcm-gen
 * DO NOT MODIFY BY HAND!!!!
 */

package exlcm;
 
import java.io.*;
import java.util.*;
import lcm.lcm.*;
 
public final class latitude_t implements lcm.lcm.LCMEncodable
{
    public double value;
    public String ns_indicator;
 
    public latitude_t()
    {
    }
 
    public static final long LCM_FINGERPRINT;
    public static final long LCM_FINGERPRINT_BASE = 0xed0d3534434a05b2L;
 
    static {
        LCM_FINGERPRINT = _hashRecursive(new ArrayList<Class<?>>());
    }
 
    public static long _hashRecursive(ArrayList<Class<?>> classes)
    {
        if (classes.contains(exlcm.latitude_t.class))
            return 0L;
 
        classes.add(exlcm.latitude_t.class);
        long hash = LCM_FINGERPRINT_BASE
            ;
        classes.remove(classes.size() - 1);
        return (hash<<1) + ((hash>>63)&1);
    }
 
    public void encode(DataOutput outs) throws IOException
    {
        outs.writeLong(LCM_FINGERPRINT);
        _encodeRecursive(outs);
    }
 
    public void _encodeRecursive(DataOutput outs) throws IOException
    {
        char[] __strbuf = null;
        outs.writeDouble(this.value); 
 
        __strbuf = new char[this.ns_indicator.length()]; this.ns_indicator.getChars(0, this.ns_indicator.length(), __strbuf, 0); outs.writeInt(__strbuf.length+1); for (int _i = 0; _i < __strbuf.length; _i++) outs.write(__strbuf[_i]); outs.writeByte(0); 
 
    }
 
    public latitude_t(byte[] data) throws IOException
    {
        this(new LCMDataInputStream(data));
    }
 
    public latitude_t(DataInput ins) throws IOException
    {
        if (ins.readLong() != LCM_FINGERPRINT)
            throw new IOException("LCM Decode error: bad fingerprint");
 
        _decodeRecursive(ins);
    }
 
    public static exlcm.latitude_t _decodeRecursiveFactory(DataInput ins) throws IOException
    {
        exlcm.latitude_t o = new exlcm.latitude_t();
        o._decodeRecursive(ins);
        return o;
    }
 
    public void _decodeRecursive(DataInput ins) throws IOException
    {
        char[] __strbuf = null;
        this.value = ins.readDouble();
 
        __strbuf = new char[ins.readInt()-1]; for (int _i = 0; _i < __strbuf.length; _i++) __strbuf[_i] = (char) (ins.readByte()&0xff); ins.readByte(); this.ns_indicator = new String(__strbuf);
 
    }
 
    public exlcm.latitude_t copy()
    {
        exlcm.latitude_t outobj = new exlcm.latitude_t();
        outobj.value = this.value;
 
        outobj.ns_indicator = this.ns_indicator;
 
        return outobj;
    }
 
}

